List customer contacts

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired

Query parameters

pagedoubleRequiredDefaults to 1
Page Number
limitdoubleRequiredDefaults to 50
Number of items to return
filterstringOptional
Format: field:rule:value — comma-separated for multiple filters. Fields: firstName (string): eq, neq, like, nlike, in, nin, isnull, isnotnull lastName (string): eq, neq, like, nlike, in, nin, isnull, isnotnull email (string): eq, neq, like, nlike, in, nin, isnull, isnotnull isPrimaryContact (boolean): eq isCCEmail (boolean): eq Example: filter=firstName:eq:value

Response

Get all Customers by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

404
Not Found Error
500
Internal Server Error